be.fgov.ehealth.dics.protocol.v3

## Class ConsultStandardRouteAndRouteOfAdministrationType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v3.ConsultStandardRouteType
  - - be.fgov.ehealth.dics.protocol.v3.ConsultStandardRouteAndRouteOfAdministrationType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T08:03:16+02:00",
                 comments="JAXB RI v2.2.11")
      public class ConsultStandardRouteAndRouteOfAdministrationType
      extends ConsultStandardRouteType
      implements Serializable

  Java class for ConsultStandardRouteAndRouteOfAdministrationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultStandardRouteAndRouteOfAdministrationType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultStandardRouteType">
             <sequence>
               <element name="RouteOfAdministration" type="{urn:be:fgov:ehealth:dics:core:v3:refdata}RouteOfAdministrationKeyType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultStandardRouteAndRouteOfAdministrationType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<RouteOfAdministrationKeyType>` | `getRouteOfAdministrations()` Gets the value of the routeOfAdministrations property.

    - ### Methods inherited from class be.fgov.ehealth.dics.protocol.v3.ConsultStandardRouteType

      `getCode, getDefinition, getName, getStandard, getUrl, setCode, setDefinition, setName, setStandard, setUrl`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultStandardRouteAndRouteOfAdministrationType

          public ConsultStandardRouteAndRouteOfAdministrationType()

  - ### Method Detail

    - #### getRouteOfAdministrations

          public List<RouteOfAdministrationKeyType> getRouteOfAdministrations()

      Gets the value of the routeOfAdministrations property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the routeOfAdministrations property.

      For example, to add a new item, do as follows:

              getRouteOfAdministrations().add(newItem);

      Objects of the following type(s) are allowed in the list `RouteOfAdministrationKeyType`

Connector Packaging PERSPODOLOGIST 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.